	uniform sampler2D snakeBump;
	uniform sampler2D snakeColor;
	
	varying vec3 lightVec;
	varying vec3 eyeVec;
	varying vec2 texCoord;
		
void main()
{
    vec4 color;
	vec4 specular;
	
	vec3 normalTex = texture2D(snakeBump, texCoord).xyz;
	normalTex = (normalTex * 2.0) - 1.0;
	vec3 newNormal = normalize(normalTex);
	
	float NdotL = max(dot(newNormal, lightVec), 0.0);
	
	vec4 diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
	
	vec4 ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
	vec4 globalAmbient = gl_LightModel.ambient * gl_FrontMaterial.ambient;
	
    vec4 textureColor = texture2D(snakeColor, texCoord);
	
	vec3 halfVec = normalize(lightVec + eyeVec);
	
	if (NdotL > 0.0)
	{
		float NdotHV = max(dot(newNormal, halfVec), 0.0);
		specular = gl_FrontMaterial.specular * gl_LightSource[0].specular * pow(NdotHV, gl_FrontMaterial.shininess);
	}
	
	gl_FragColor = min(textureColor * NdotL * diffuse + ambient + globalAmbient + specular, vec4(1.0));	
}